# List available webhook events

## List the available webhook services and filters a customer can use to build its subscription.

> List the available webhook services and filters a customer can use to build its subscription. An example of filter would be to subscribe all events from the service \`channels\` and using as filter a channelId.

```json
{"openapi":"3.0.3","info":{"title":"Notifications","version":"1.0.0"},"tags":[{"name":"Webhooks","description":"Manage webhooks"}],"servers":[{"url":"https://api.bird.com","description":"Production API"}],"security":[{"accessKey":[]}],"components":{"securitySchemes":{"accessKey":{"description":"Uses the Authorization header: 'AccessKey ' followed by your access key token (e.g., 'Authorization: AccessKey AbCdEfGhIjKlMnOpQrStUvWxYzAbCdEfGhIj')","scheme":"AccessKey","type":"http"}},"parameters":{"workspaceId":{"name":"workspaceId","description":"Your workspace identifier.","in":"path","required":true,"schema":{"$ref":"#/components/schemas/workspaceId"}},"queryEventFilters":{"name":"EventFilters","description":"The event filters for the request.","in":"query","required":false,"schema":{"type":"object","additionalProperties":{"type":"string"}}},"queryService":{"name":"service","description":"The service for the request.","in":"query","required":false,"schema":{"type":"string","enum":["channels","numbers","conversations","payments"]}}},"schemas":{"workspaceId":{"title":"Workspace ID","description":"The ID for the workspace.","type":"string","format":"uuid"},"AvailableWebhookList":{"type":"object","additionalProperties":false,"properties":{"results":{"type":"array","items":{"$ref":"#/components/schemas/AvailableWebhook"}}}},"AvailableWebhook":{"type":"object","required":["service","events"],"additionalProperties":false,"properties":{"service":{"$ref":"#/components/schemas/WebhookService"},"events":{"type":"array","items":{"$ref":"#/components/schemas/AvailableWebhookEvent"}}}},"WebhookService":{"type":"string","enum":["channels","numbers","payments","conversations","templates"],"description":"The service that the webhook is subscribed to. For example, to get events regarding channels, the service would be `channels`.\n"},"AvailableWebhookEvent":{"type":"object","required":["name"],"additionalProperties":false,"properties":{"name":{"$ref":"#/components/schemas/WebhookEvent"},"filterKeys":{"$ref":"#/components/schemas/FilterKeys"}}},"WebhookEvent":{"type":"string","description":"The event name identifies the webhook event, such as `sms.outbound` for notifications about SMS messages being sent.\n"},"FilterKeys":{"type":"array","items":{"$ref":"#/components/schemas/FilterKey"}},"FilterKey":{"type":"string","description":"The filter keys are used to filter the events that are sent to the webhook. For example, if you want to get events just for a specific platform,\na valid filterKey would be `platformId` with a value of `whatsapp`.\n","enum":["channelId","interactionType","messageStatus","platformId","channelStatus","status","navigatorId","eventDestination"]}}},"paths":{"/workspaces/{workspaceId}/available-webhooks":{"get":{"summary":"List the available webhook services and filters a customer can use to build its subscription.","description":"List the available webhook services and filters a customer can use to build its subscription. An example of filter would be to subscribe all events from the service `channels` and using as filter a channelId.","operationId":"listAvailableWebhooks","tags":["Webhooks"],"parameters":[{"$ref":"#/components/parameters/workspaceId"},{"$ref":"#/components/parameters/queryEventFilters"},{"$ref":"#/components/parameters/queryService"}],"responses":{"200":{"description":"The list of available webhook events was returned successfully. It can be an empty results list if no webhook event is available for the given event filters/services set.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AvailableWebhookList"}}}}}}}}}
```

**Please refer to** [Webhook subscriptions](/api/notifications-api/api-reference/webhook-subscriptions.md)to know more about valid events and filters for the services.

### Examples

Let's establish some of our data that will be used in the following example:

* **Workspace ID**: a1405560-c8d3-4b1a-877d-3f449ad95352
* **AccessKey:** abcd

**Listing available webhook events**

{% tabs %}
{% tab title="Request" %}

```bash
curl -X DELETE "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/lists/123e4567-e89b-12d3-a456-426614174000" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd"
```

{% endtab %}

{% tab title="Response (204 No Content)" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bird.com/api/notifications-api/api-reference/webhook-subscriptions/list-available-webhook-events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
